import { Component, ChangeDetectorRef } from '@angular/core';
import { NativeInputComponent } from '../../_abstract/native-input.component';
import { IOption } from '../../../models/field.model';
import { FriendlyValidationErrorsService } from './../../../services/friendly-validation-errors.service';

@Component({
	selector: 'app-radio',
	templateUrl: './radio.component.html',
	styleUrls: ['./radio.component.scss']
})
export class RadioComponent extends NativeInputComponent {

	exposeMetaInTemplate: string[] = ['name', 'options', 'horizontal'];

	name: string;
	options: IOption[];
	horizontal: boolean;
	
	prefix: string;

	readonly componentName = 'RadioComponent'; // For AOT compatibility, as class names don't survive minification

	constructor(
		protected valErrsService: FriendlyValidationErrorsService,
		protected _cdr: ChangeDetectorRef
	) {
		super(valErrsService, _cdr);
		this.prefix = 'radio_u_' + Math.floor((Math.random() * 10000)).toString();
	}

}
