import { Component, ChangeDetectorRef } from '@angular/core';
import { NativeInputComponent } from '../../_abstract/native-input.component';
import { Router, ActivatedRoute } from '@angular/router';
import { IOption, ILink } from '../../../models/field.model';
import { FriendlyValidationErrorsService } from './../../../services/friendly-validation-errors.service';

@Component({
	selector: 'app-select',
	templateUrl: './select.component.html',
	styleUrls: ['./select.component.scss']
})
export class SelectComponent extends NativeInputComponent {

	exposeMetaInTemplate: string[] = ['options', 'link'];

	options: IOption[];
	link: ILink;
	prefix: string;
	
	readonly componentName = 'SelectComponent'; // For AOT compatibility, as class names don't survive minification

	constructor(
		protected valErrsService: FriendlyValidationErrorsService,
		protected _cdr: ChangeDetectorRef,
		private router: Router,
		private route: ActivatedRoute
	) {
		super(valErrsService, _cdr);
		this.prefix = 'radio_u_' + Math.floor((Math.random() * 10000)).toString();
	}

	navigate(field: HTMLSelectElement) {
		const base = Array.isArray(this._meta.link.route) ? this._meta.link.route : [this._meta.link.route];
		const destination = [...base, field.options[field.selectedIndex].value];
		this.router.navigate(destination, { relativeTo: this.route });
	}

}
